%define anolis_release 3
Summary:  Thai language support routines
Name: libthai
Version: 0.1.29
Release: %{anolis_release}%{?dist}
License: LGPLv2+
Source: http://linux.thai.net/pub/thailinux/software/libthai/libthai-%{version}.tar.xz
URL: http://linux.thai.net

BuildRequires: gcc
BuildRequires: pkgconfig(datrie-0.2)
BuildRequires: doxygen
BuildRequires: make

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:  Thai language support routines
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The libthai-devel package includes the header files and developer docs 
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

%prep
%autosetup -p1

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# move installed doc files back to build directory to package them
# in the right place
mkdir installed-docs
mv $RPM_BUILD_ROOT%{_docdir}/libthai/* installed-docs
rmdir $RPM_BUILD_ROOT%{_docdir}/libthai

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%generate_compatibility_deps

%files
%doc COPYING
%dir %{abidir}
%{_libdir}/lib*.so.*
%{_datadir}/libthai
%{abidir}/libthai.dump

%files doc
%doc README AUTHORS ChangeLog

%files devel
%doc installed-docs/*
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Mar 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.1.29-3
- optimize spec

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.29-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.29-1
- Init from upstream version 0.1.29
